Rails:为数据库适配器指定'mysql2',但是没有加载gem

显然有一个线程,解决这个问题。 但是我已经试着运行解决scheme中给出的那些命令。 由于某些原因,我仍然得到相同的错误。

我运行gem install mysql2 -v 0.3.18

随后进行bundle install

在我的terminal上。 而且,我通过键入rails服务器启动服务器

打开本地主机:3000。 我收到相同的错误。

为数据库适配器指定了“mysql2”,但未加载该gem。 将gem'mysql2 gem 'mysql2'添加到您的Gemfile(并确保其版本是ActiveRecord所需的最低限度)。

任何帮助将非常感激。

将以下内容添加到您的Gemfile

 gem 'mysql2', '~> 0.3.18' 

然后运行:

 bundle install